OpenJPEG 2.5.0

Data Fields
opj_jp2_cmap_comp Struct Reference

Component mappings: channel index, mapping type, palette index. More...

`#include <jp2.h>`

## Data Fields
OPJ_UINT16 | cmp
OPJ_BYTE | mtyp
OPJ_BYTE | pcol

## Detailed Description

Component mappings: channel index, mapping type, palette index.

## Field Documentation

## ◆ cmp

OPJ_UINT16 opj_jp2_cmap_comp::cmp

Referenced by opj_jp2_apply_pclr(), and opj_jp2_read_cmap().

## ◆ mtyp

OPJ_BYTE opj_jp2_cmap_comp::mtyp

Referenced by opj_jp2_check_color(), and opj_jp2_read_cmap().

## ◆ pcol

OPJ_BYTE opj_jp2_cmap_comp::pcol

Referenced by opj_jp2_apply_pclr(), opj_jp2_check_color(), and opj_jp2_read_cmap().

The documentation for this struct was generated from the following file:

- jp2.h